> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Message

> Send an external message to the TON network.



## OpenAPI

````yaml post /api/v3/message
openapi: 3.0.0
info:
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  title: TON Index (Go)
  contact: {}
  version: 1.1.0
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com/
security: []
paths:
  /api/v3/message:
    post:
      tags:
        - api/v2
      summary: Send Message
      description: Send an external message to the TON network.
      operationId: api_v3_post_v2_message
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/V2SendMessageRequest'
        description: Message in boc base64 format.
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2SendMessageResult'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
components:
  schemas:
    V2SendMessageRequest:
      type: object
      properties:
        boc:
          type: string
    V2SendMessageResult:
      type: object
      properties:
        message_hash:
          type: string
        message_hash_norm:
          type: string
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: X-Api-Key
      in: header
    APIKeyQuery:
      type: apiKey
      name: api_key
      in: query

````